> For a complete page index, fetch https://docs.transak.com/llms.txt

# Update VBA

PUT https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/{virtualBankId}
Content-Type: application/json

Update destination details for an existing Virtual Bank Account (VBA).

Reference: https://docs.transak.com/api/whitelabel/virtual-account-payments/update-virtual-bank-account

## Request

### Path parameters

- `virtualBankId` (string, required) — Generated Virtual Bank Identifier

### Headers

- `x-user-ip` (string, required) — End user's originating IP. More details [here](/guides/mandatory-security-changes#user-ip-header-in-apis)
- `x-api-key` (string, required) — Your Partner API key. You can find this in the [Partner Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section).
- `authorization` (string, optional) — Authorization token is the accessToken received from the API - `api/v2/auth/verify` Note: This is not applicable for [Auth Reliance Flows](/features/auth-reliance)
- `x-user-identifier` (string, optional) — Your authenticated user Email Id address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance)
- `x-access-token` (string, optional) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance)

### Body (application/json)

- `destination` (object, required)
  - `cryptoCurrency` (string, required) — Crypto currency symbol
  - `walletAddress` (string, required) — User's wallet address
  - `network` (string, required) — Blockchain network
  - `memoTag` (string, optional) — Additional address property to identify the transfer recipient.

## Response

### 200

- `data` (object, optional)
  - `id` (string, optional) — Generated Virtual Bank Identifier
  - `status` (string, optional) — Current VBA status
  - `source` (object, optional) — Source bank details mapped to this VBA
    - `fiatCurrency` (string, optional) — Fiat currency code
    - `bankAccount` (object, optional)
      - `type` (string, optional) — Bank account identifier type
      - `value` (string, optional) — Bank account identifier value
    - `bankLocalCode` (object, optional)
      - `type` (string, optional) — Bank local code type
      - `value` (string, optional) — Bank local code value
  - `destination` (object, optional) — Updated destination crypto transfer details
    - `cryptoCurrency` (string, optional) — Crypto currency symbol
    - `walletAddress` (string, optional) — User's wallet address
    - `network` (string, optional) — Blockchain network
    - `memoTag` (string, optional) — Additional address property to identify the transfer recipient.

## Examples

### INITIATED (USD)

**Request**

```json
{
  "destination": {
    "cryptoCurrency": "USDT",
    "walletAddress": "0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A",
    "network": "ethereum"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "698475e474c810f090ee01fd",
    "status": "INITIATED",
    "source": {
      "fiatCurrency": "USD",
      "bankAccount": {
        "type": "account_number",
        "value": ""
      },
      "bankLocalCode": {
        "type": "routing_number",
        "value": ""
      }
    },
    "destination": {
      "cryptoCurrency": "USDT",
      "walletAddress": "0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A",
      "network": "polygon",
      "memoTag": "test"
    }
  }
}
```

**SDK Code**

```python INITIATED (USD)
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

payload = { "destination": {
        "cryptoCurrency": "USDT",
        "walletAddress": "0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A",
        "network": "ethereum"
    } }
headers = {
    "x-api-key": "",
    "x-user-ip": "",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript INITIATED (USD)
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '', 'x-user-ip': '', 'Content-Type': 'application/json'},
  body: '{"destination":{"cryptoCurrency":"USDT","walletAddress":"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A","network":"ethereum"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go INITIATED (USD)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

	payload := strings.NewReader("{\n  \"destination\": {\n    \"cryptoCurrency\": \"USDT\",\n    \"walletAddress\": \"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A\",\n    \"network\": \"ethereum\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "")
	req.Header.Add("x-user-ip", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby INITIATED (USD)
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = ''
request["x-user-ip"] = ''
request["Content-Type"] = 'application/json'
request.body = "{\n  \"destination\": {\n    \"cryptoCurrency\": \"USDT\",\n    \"walletAddress\": \"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A\",\n    \"network\": \"ethereum\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java INITIATED (USD)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")
  .header("x-api-key", "")
  .header("x-user-ip", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"destination\": {\n    \"cryptoCurrency\": \"USDT\",\n    \"walletAddress\": \"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A\",\n    \"network\": \"ethereum\"\n  }\n}")
  .asString();
```

```php INITIATED (USD)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [
  'body' => '{
  "destination": {
    "cryptoCurrency": "USDT",
    "walletAddress": "0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A",
    "network": "ethereum"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp INITIATED (USD)
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "");
request.AddHeader("x-user-ip", "");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"destination\": {\n    \"cryptoCurrency\": \"USDT\",\n    \"walletAddress\": \"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A\",\n    \"network\": \"ethereum\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift INITIATED (USD)
import Foundation

let headers = [
  "x-api-key": "",
  "x-user-ip": "",
  "Content-Type": "application/json"
]
let parameters = ["destination": [
    "cryptoCurrency": "USDT",
    "walletAddress": "0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A",
    "network": "ethereum"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### INITIATED (GBP)

**Request**

```json
{
  "destination": {
    "cryptoCurrency": "USDT",
    "walletAddress": "0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A",
    "network": "ethereum"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "698475e474c810f090ee01fd",
    "status": "INITIATED",
    "source": {
      "fiatCurrency": "GBP",
      "bankAccount": {
        "type": "account_number",
        "value": ""
      },
      "bankLocalCode": {
        "type": "sort_code",
        "value": ""
      }
    },
    "destination": {
      "cryptoCurrency": "ETH",
      "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
      "network": "ethereum",
      "memoTag": "test"
    }
  }
}
```

**SDK Code**

```python INITIATED (GBP)
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

payload = { "destination": {
        "cryptoCurrency": "USDT",
        "walletAddress": "0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A",
        "network": "ethereum"
    } }
headers = {
    "x-api-key": "",
    "x-user-ip": "",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript INITIATED (GBP)
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '', 'x-user-ip': '', 'Content-Type': 'application/json'},
  body: '{"destination":{"cryptoCurrency":"USDT","walletAddress":"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A","network":"ethereum"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go INITIATED (GBP)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

	payload := strings.NewReader("{\n  \"destination\": {\n    \"cryptoCurrency\": \"USDT\",\n    \"walletAddress\": \"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A\",\n    \"network\": \"ethereum\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "")
	req.Header.Add("x-user-ip", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby INITIATED (GBP)
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = ''
request["x-user-ip"] = ''
request["Content-Type"] = 'application/json'
request.body = "{\n  \"destination\": {\n    \"cryptoCurrency\": \"USDT\",\n    \"walletAddress\": \"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A\",\n    \"network\": \"ethereum\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java INITIATED (GBP)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")
  .header("x-api-key", "")
  .header("x-user-ip", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"destination\": {\n    \"cryptoCurrency\": \"USDT\",\n    \"walletAddress\": \"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A\",\n    \"network\": \"ethereum\"\n  }\n}")
  .asString();
```

```php INITIATED (GBP)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [
  'body' => '{
  "destination": {
    "cryptoCurrency": "USDT",
    "walletAddress": "0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A",
    "network": "ethereum"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp INITIATED (GBP)
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "");
request.AddHeader("x-user-ip", "");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"destination\": {\n    \"cryptoCurrency\": \"USDT\",\n    \"walletAddress\": \"0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A\",\n    \"network\": \"ethereum\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift INITIATED (GBP)
import Foundation

let headers = [
  "x-api-key": "",
  "x-user-ip": "",
  "Content-Type": "application/json"
]
let parameters = ["destination": [
    "cryptoCurrency": "USDT",
    "walletAddress": "0xE1f969e3Fd2c951924EC6eBBd7f69b01D0EdA10A",
    "network": "ethereum"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```